Name:           OpenStego
Version:        0.5.2
Release:        6.1%{?dist}
Summary:        Free Steganography solution
Group:          Applications/System
License:        GPLv2
URL:            http://openstego.sourceforge.net/index.html
Source0:        http://downloads.sourceforge.net/project/openstego/openstego/openstego-%{version}/openstego-src-%{version}.zip
Source1:        openstego.desktop
BuildArch:      noarch
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  ant
BuildRequires:  desktop-file-utils
Requires:       java
Requires:       jpackage-utils

%description
OpenStego is a tool implemented in Java for generic steganography,
with support for password-based encryption of the data. It supports
plugins for various steganographic algorithms.

%package javadoc
Group:     Documentation
BuildArch: noarch
Requires:  jpackage-utils
Summary:   Javadoc generated documentation for Openstego

%description javadoc
Javadoc generated documentation for Openstego.


%prep
%setup -q -n openstego-src-%{version}
find . -name *.class -delete
find . -name *.jar -delete
# Delete file for Windows :
rm -f openstego.bat


%build
ant package doc


%install
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_javadocdir}/openstego
cp -p ./lib/openstego.jar %{buildroot}%{_javadir}/openstego.jar
cp -p ./src/image/ImagesVectorSource.svg %{buildroot}%{_datadir}/pixmaps/openstego.svg
cp -pr ./doc/api/* %{buildroot}%{_javadocdir}/openstego
%jpackage_script net.sourceforge.openstego.OpenStego "" "" openstego.jar openstego true
# Install openstego.desktop :
desktop-file-install                       \
--dir=%{buildroot}%{_datadir}/applications \
%{SOURCE1}


%files
%doc README LICENSE
%{_bindir}/openstego
%{_javadir}/openstego.jar
%{_datadir}/pixmaps/openstego.svg
%{_datadir}/applications/openstego.desktop

%files javadoc
%doc LICENSE
%{_javadocdir}/openstego/


%changelog
* Thu Dec 01 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 0.5.2-6.1
- fix koji build

* Thu Dec 01 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 0.5.2-6
- rename openstego OpenStego
- change description

* Sun Nov 06 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 0.5.2-5
- remove "defattr" line in javadoc subpackage

* Sat Nov 05 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 0.5.2-4
- fixing directory ownerships
- fixing desktop file errors
- add LICENSE in javadoc subpackage

* Tue Oct 04 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 0.5.2-3
- add javadoc subpackage

* Mon Sep 26 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 0.5.2-2
- clean up spec file

* Sat Sep 24 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 0.5.2-1
- Initial RPM
